summaryrefslogtreecommitdiffstats
path: root/development/spin
diff options
context:
space:
mode:
author Jockey S. Kyd <jockey.kyd@gmail.com>2011-09-28 08:34:57 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-09-28 08:34:57 -0300
commit321157f485807323a13c9683d567a72104d45274 (patch)
tree517e7920ec54b3a425e1cc74cc21e566a03bd9e4 /development/spin
parent9eea3d3eb6c2929209131c7fe7436d252dc576bd (diff)
downloadslackbuilds-321157f485807323a13c9683d567a72104d45274.tar.gz
slackbuilds-321157f485807323a13c9683d567a72104d45274.tar.xz
development/spin: Added (model checker)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development/spin')
-rw-r--r--development/spin/README4
-rw-r--r--development/spin/slack-desc19
-rw-r--r--development/spin/spin.SlackBuild80
-rw-r--r--development/spin/spin.info10
4 files changed, 113 insertions, 0 deletions
diff --git a/development/spin/README b/development/spin/README
new file mode 100644
index 0000000000..07fe9ae328
--- /dev/null
+++ b/development/spin/README
@@ -0,0 +1,4 @@
+Spin is a popular open-source software tool, used by thousands of people
+worldwide, that can be used for the formal verification of distributed
+software systems. In April 2002 the tool was awarded the prestigious System
+Software Award for 2001 by the ACM.
diff --git a/development/spin/slack-desc b/development/spin/slack-desc
new file mode 100644
index 0000000000..a268c94f06
--- /dev/null
+++ b/development/spin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+spin: spin (Spin model checker)
+spin:
+spin: Spin is a popular open-source software tool, used by thousands of
+spin: people worldwide, that can be used for the formal verification of
+spin: distributed software systems. In April 2002 the tool was awarded the
+spin: prestigious System Software Award for 2001 by the ACM.
+spin:
+spin: http://spinroot.com/
+spin:
+spin:
+spin:
diff --git a/development/spin/spin.SlackBuild b/development/spin/spin.SlackBuild
new file mode 100644
index 0000000000..6343e57806
--- /dev/null
+++ b/development/spin/spin.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+#
+# Written by Jockey S. Kyd (jockey dot kyd at gmail dot com)
+# Public domain
+#
+
+PRGNAM=spin
+VERSION=6.1.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM`echo $VERSION | sed 's/\.//g'`.tar.gz
+mv Spin $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd Src$VERSION
+sed -i "s/^CFLAGS=\(.*\)$/CFLAGS=$SLKCFLAGS \1/" makefile
+make
+cd ..
+
+install -Dm 755 Src$VERSION/spin $PKG/usr/bin/spin
+install -Dm 755 iSpin/ispin.tcl $PKG/usr/bin/ispin
+
+find $PKG -print0 | xargs -0 file \
+ | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null \
+ || true
+
+mkdir -p $PKG/usr/man/man1
+cp -a Man/spin.1 $PKG/usr/man/man1
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Samples Test Doc/* iSpin/ltl_examples README.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/spin/spin.info b/development/spin/spin.info
new file mode 100644
index 0000000000..bd86bb6f62
--- /dev/null
+++ b/development/spin/spin.info
@@ -0,0 +1,10 @@
+PRGNAM="spin"
+VERSION="6.1.0"
+HOMEPAGE="http://spinroot.com/"
+DOWNLOAD="http://spinroot.com/spin/Src/spin610.tar.gz"
+MD5SUM="89c0d322c3a5aded1fda9b0d30327d19"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Jockey S. Kyd"
+EMAIL="jockey.kyd@gmail.com"
+APPROVED="Niels Horn"